summaryrefslogtreecommitdiffstats
path: root/package/dhcp/S80dhcp-relay
diff options
context:
space:
mode:
author"Steven J. Hill" <sjhill@realitydiluted.com>2007-05-09 22:48:41 +0000
committer"Steven J. Hill" <sjhill@realitydiluted.com>2007-05-09 22:48:41 +0000
commit6b00c90d709a01822027fb9986ec8ace605dd991 (patch)
tree247dda891d7c16580a7d274411581c519d01c2db /package/dhcp/S80dhcp-relay
parent448153a06a443ad61f3df88408edf3a7da98ea0c (diff)
downloadbuildroot-novena-6b00c90d709a01822027fb9986ec8ace605dd991.tar.gz
buildroot-novena-6b00c90d709a01822027fb9986ec8ace605dd991.zip
Rename all INIT scripts to have the numerical prefixes to easily see the start-up order.
Diffstat (limited to 'package/dhcp/S80dhcp-relay')
-rwxr-xr-xpackage/dhcp/S80dhcp-relay53
1 files changed, 53 insertions, 0 deletions
diff --git a/package/dhcp/S80dhcp-relay b/package/dhcp/S80dhcp-relay
new file mode 100755
index 000000000..c870ea7f5
--- /dev/null
+++ b/package/dhcp/S80dhcp-relay
@@ -0,0 +1,53 @@
+#!/bin/sh
+#
+# $Id: dhcp3-relay,v 1.1 2004/04/16 15:41:08 ml Exp $
+#
+
+
+# What servers should the DHCP relay forward requests to?
+# e.g: SERVERS="192.168.0.1"
+SERVERS=""
+
+# On what interfaces should the DHCP relay (dhrelay) serve DHCP requests?
+INTERFACES=""
+
+# Additional options that are passed to the DHCP relay daemon?
+OPTIONS=""
+
+
+
+
+# It is not safe to start if we don't have a default configuration...
+echo "/etc/init.d/dhcp-relay not yet configured! - Aborting..."
+exit 1;
+
+
+
+# Build command line for interfaces (will be passed to dhrelay below.)
+IFCMD=""
+if test "$INTERFACES" != ""; then
+ for I in $INTERFACES; do
+ IFCMD=${IFCMD}"-i "${I}" "
+ done
+fi
+
+DHCRELAYPID=/var/run/dhcrelay.pid
+
+case "$1" in
+ start)
+ start-stop-daemon -S -x /usr/sbin/dhcrelay -- -q $OPTIONS $IFCMD $SERVERS
+ ;;
+ stop)
+ start-stop-daemon -K -x /usr/sbin/dhcrelay
+ ;;
+ restart | force-reload)
+ $0 stop
+ sleep 2
+ $0 start
+ ;;
+ *)
+ echo "Usage: /etc/init.d/dhcp-relay {start|stop|restart|force-reload}"
+ exit 1
+esac
+
+exit 0